#!/bin/bash
# Eric · 凉城
# MySQL 一键卸载脚本 241203

# 确保脚本以 root 用户运行
if [ "$(id -u)" -ne 0 ]; then
  echo "此脚本需要以 root 用户运行。"
  exit 1
fi

# 停止 MySQL 服务
echo "停止 MySQL 服务..."
pkill mysqld
sleep 5

# 删除 MySQL 安装文件
echo "删除 MySQL 安装文件..."
rm -rf /usr/local/mysql

# 删除 MySQL 配置文件
echo "删除 MySQL 配置文件..."
rm -f /etc/my.cnf
rm -f /etc/mysql/my.cnf

# 删除 MySQL 数据目录（请确保已备份）
echo "删除 MySQL 数据目录..."
rm -rf /var/lib/mysql
rm -rf /usr/local/mysql/data

# 删除 MySQL 日志和 PID 文件
echo "删除 MySQL 日志和 PID 文件..."
rm -rf /var/log/mysql
rm -rf /var/run/mysqld
rm -f /usr/local/mysql/data/mysql-error.log
rm -f /usr/local/mysql/data/mysql.pid

# 删除 MySQL 启动脚本
echo "删除 MySQL 启动脚本..."
rm -f /etc/init.d/mysql

# 删除 MySQL 用户和组（如果存在）
echo "删除 MySQL 用户和组..."
if id "mysql" &>/dev/null; then
    userdel mysql
    groupdel mysql
fi

# 清理 apt/yum 包（如果安装过）
echo "清理包管理器缓存..."
if command -v apt &>/dev/null; then
    apt-get remove --purge -y mysql-server mysql-client mysql-common mysql-server-core-* mysql-client-core-*
    apt-get autoremove -y
    apt-get autoclean
elif command -v yum &>/dev/null; then
    yum remove -y mysql mysql-server
    yum autoremove -y
fi

# 检查并删除 MySQL 相关的残余目录
echo "删除 MySQL 残余目录..."
rm -rf /var/lib/mysql
rm -rf /var/log/mysql
rm -rf /var/run/mysqld

# 从 .bashrc 中删除 MySQL 的路径设置
echo "清理 .bashrc 中的 MySQL PATH 修改..."
sed -i '/export PATH=\/usr\/local\/mysql\/bin:$PATH/d' ~/.bashrc

echo "MySQL 删除完成!"
